import openmesh as om
from trimesh import load

# Tested with:
# * Python 3.7.9
# * trimesh 3.8.6
# * Openmesh 1.1.6

trimesh_mesh = load('./benchy.stl')
mesh = om.TriMesh()
mesh.add_vertices(trimesh_mesh.vertices)
for i, face in enumerate(trimesh_mesh.faces):
    face_handle = mesh.add_face(*[mesh.vertex_handle(vertex_index) for vertex_index in face])
    if not face_handle.is_valid():
        print('invalid face')
        # Comment this section and the python process hangs or segfaults
        # Leave this section active, and the python process segfaults
        mesh.delete_face(face_handle)
        mesh.garbage_collection()

print('done!')
